﻿namespace EyeSoft.Nhibernate.Test.Mapping
{
	using EyeSoft.Nhibernate.Test.Domain;

	using NHibernate.Mapping.ByCode;
	using NHibernate.Mapping.ByCode.Conformist;

	public class FiscalMapping : ClassMapping<Fiscal>
	{
		public FiscalMapping()
		{
			Id(x => x.Id, m => m.Generator(Generators.Assigned));

			Property(x => x.Code);

			OneToOne(x => x.Customer, m => m.Cascade(Cascade.Merge));
		}
	}
}