﻿namespace EyeSoft.Nhibernate.Test.Domain
{
	using System;

	public class Address
	{
		protected Address()
		{
		}

		public virtual Guid Id { get; set; }

		public virtual string Street { get; set; }

		public virtual Customer Customer { get; set; }

		public static Address Create(Guid id, string street, Customer customer)
		{
			return new Address { Id = id, Street = street, Customer = customer };
		}

		public override string ToString()
		{
			return Street;
		}

		public virtual Address Clone(Customer customer)
		{
			return new Address { Id = Id, Customer = customer, Street = Street };
		}
	}
}