﻿namespace EyeSoft.Nhibernate.Test.Domain
{
	using System;

	public class Fiscal
	{
		protected Fiscal()
		{
		}

		public virtual Guid Id { get; set; }

		public virtual string Code { get; set; }

		public virtual Customer Customer { get; set; }

		public static Fiscal Create(Guid id, string code, Customer customer)
		{
			return new Fiscal { Id = id, Code = code, Customer = customer };
		}

		public override string ToString()
		{
			return Code;
		}

		public virtual Fiscal Clone(Customer customer)
		{
			return new Fiscal { Id = Id, Code = Code, Customer = customer };
		}
	}
}