﻿namespace EyeSoft.Nhibernate.Test.Mapping
{
	using EyeSoft.Nhibernate.Test.Domain;

	using NHibernate.Mapping.ByCode;
	using NHibernate.Mapping.ByCode.Conformist;

	public class AddressMapping : ClassMapping<Address>
	{
		public AddressMapping()
		{
			Id(x => x.Id, m => m.Generator(Generators.Assigned));

			Property(x => x.Street);

			ManyToOne(x => x.Customer, m => m.NotNullable(true));
		}
	}
}